For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
            • GETList Price Lists
            • POSTCreate Price List
            • DELDelete All Price Lists
            • GETGet Price List
            • PUTUpdate Price List
            • DELDelete Price List
              • POSTCreate Batch of Price Lists Records
              • PUTCreate or Update Batch of Price Lists Records
              • GETList Price List Records
              • POSTCreate Price List Records
              • PUTUpsert Price List Records
              • DELDelete Price List Record
              • GETList Price Records by Variant
              • GETGet Price Record by Currency Code
              • PUTSet Price List Record by Currency Code
              • DELDelete Price Record by Currency Code
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementPrice ListsPrice Lists Records

Upsert Price List Records

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/pricelists/:price_list_id/records
PUT
/stores/:store_hash/v3/pricelists/:price_list_id/records
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/pricelists/1/records \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {}
>]'
1{
2 "data": {},
3 "meta": {}
4}
Creates or updates *Price List Records*. **Required Fields** * currency **Notes** * Batch requests support up to 1,000 items per request. * Up to 2 concurrent batch upsert requests are supported with this API. Running more than the allowed concurrent requests in parallel on the **same store** will cause a `429` error, and your additional requests will fail. You are encouraged to run requests sequentially with as many records per request as possible to maximize performance. * When updating a product with variants, or multiple SKUs, don't include records for the parent product SKU.
Was this page helpful?
Previous

Create Price List Records

Next

Delete Price List Record

Built with

Creates or updates Price List Records.

Required Fields

  • currency

Notes

  • Batch requests support up to 1,000 items per request.
  • Up to 2 concurrent batch upsert requests are supported with this API. Running more than the allowed concurrent requests in parallel on the same store will cause a 429 error, and your additional requests will fail. You are encouraged to run requests sequentially with as many records per request as possible to maximize performance.
  • When updating a product with variants, or multiple SKUs, don’t include records for the parent product SKU.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

price_list_idintegerRequired

The ID of the Price List requested.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

variant_idintegerOptional

The variant ID with which this price set is associated. Either variant_id or sku is required.

skustringOptional

The SKU code associated with this Price Record if requested and it exists.

currencystringOptionalformat: "ISO-4217"

The 3-letter currency code with which this price set is associated.

pricedoubleOptional

The list price for the variant mapped in a Price List. Overrides any existing or Catalog list price for the variant/product.

sale_pricedoubleOptional>=0

The sale price for the variant mapped in a Price List. Overrides any existing or Catalog sale price for the variant/product. If empty, the sale price will be treated as not being set on this variant.

retail_pricedoubleOptional>=0

The retail price for the variant mapped in a Price List. Overrides any existing or Catalog retail price for the variant/product. If empty, the retail price will be treated as not being set on this variant.

map_pricedoubleOptional>=0

The MAP (Minimum Advertised Price) for the variant mapped in a Price List. Overrides any existing or Catalog MAP price for the variant/product. If empty, the MAP price will be treated as not being set on this variant.

bulk_pricing_tierslist of objectsOptional

Response

Success response for batch PUT requests of Price Records.
dataobject
metaobject

Errors

422
Unprocessable Entity Error
429
Too Many Requests Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.